org.wso2.carbon.dataservices.sql.driver

## Class TResultSetMetaData

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.TResultSetMetaData

- All Implemented Interfaces:
    ResultSetMetaData, Wrapper

      public class TResultSetMetaData
      extends Object
      implements ResultSetMetaData

- - ### Field Summary

    - ### Fields inherited from interface java.sql.ResultSetMetaData

      `columnNoNulls, columnNullable, columnNullableUnknown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TResultSetMetaData(ColumnInfo[] columns, int columnCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCatalogName(int i)`
    `String` | `getColumnClassName(int i)`
    `int` | `getColumnCount()`
    `int` | `getColumnDisplaySize(int i)`
    `String` | `getColumnLabel(int i)`
    `String` | `getColumnName(int i)`
    `ColumnInfo[]` | `getColumns()`
    `int` | `getColumnType(int i)`
    `String` | `getColumnTypeName(int i)`
    `int` | `getPrecision(int i)`
    `int` | `getScale(int i)`
    `String` | `getSchemaName(int i)`
    `String` | `getTableName(int i)`
    `boolean` | `isAutoIncrement(int i)`
    `boolean` | `isCaseSensitive(int i)`
    `boolean` | `isCurrency(int i)`
    `boolean` | `isDefinitelyWritable(int i)`
    `int` | `isNullable(int i)`
    `boolean` | `isReadOnly(int i)`
    `boolean` | `isSearchable(int i)`
    `boolean` | `isSigned(int i)`
    `boolean` | `isWrapperFor(Class<?> aClass)`
    `boolean` | `isWritable(int i)`
    `<T> T` | `unwrap(Class<T> tClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TResultSetMetaData

          public TResultSetMetaData(ColumnInfo[] columns,
                                    int columnCount)

  - ### Method Detail

    - #### getColumns

          public ColumnInfo[] getColumns()

    - #### getColumnCount

          public int getColumnCount()
                             throws SQLException

      Specified by:
        `getColumnCount` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isAutoIncrement

          public boolean isAutoIncrement(int i)
                                  throws SQLException

      Specified by:
        `isAutoIncrement` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isCaseSensitive

          public boolean isCaseSensitive(int i)
                                  throws SQLException

      Specified by:
        `isCaseSensitive` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isSearchable

          public boolean isSearchable(int i)
                               throws SQLException

      Specified by:
        `isSearchable` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isCurrency

          public boolean isCurrency(int i)
                             throws SQLException

      Specified by:
        `isCurrency` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isNullable

          public int isNullable(int i)
                         throws SQLException

      Specified by:
        `isNullable` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isSigned

          public boolean isSigned(int i)
                           throws SQLException

      Specified by:
        `isSigned` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getColumnDisplaySize

          public int getColumnDisplaySize(int i)
                                   throws SQLException

      Specified by:
        `getColumnDisplaySize` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getColumnLabel

          public String getColumnLabel(int i)
                                throws SQLException

      Specified by:
        `getColumnLabel` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getColumnName

          public String getColumnName(int i)
                               throws SQLException

      Specified by:
        `getColumnName` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getSchemaName

          public String getSchemaName(int i)
                               throws SQLException

      Specified by:
        `getSchemaName` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getPrecision

          public int getPrecision(int i)
                           throws SQLException

      Specified by:
        `getPrecision` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getScale

          public int getScale(int i)
                       throws SQLException

      Specified by:
        `getScale` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getTableName

          public String getTableName(int i)
                              throws SQLException

      Specified by:
        `getTableName` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getCatalogName

          public String getCatalogName(int i)
                                throws SQLException

      Specified by:
        `getCatalogName` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getColumnType

          public int getColumnType(int i)
                            throws SQLException

      Specified by:
        `getColumnType` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getColumnTypeName

          public String getColumnTypeName(int i)
                                   throws SQLException

      Specified by:
        `getColumnTypeName` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isReadOnly

          public boolean isReadOnly(int i)
                             throws SQLException

      Specified by:
        `isReadOnly` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isWritable

          public boolean isWritable(int i)
                             throws SQLException

      Specified by:
        `isWritable` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### isDefinitelyWritable

          public boolean isDefinitelyWritable(int i)
                                       throws SQLException

      Specified by:
        `isDefinitelyWritable` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### getColumnClassName

          public String getColumnClassName(int i)
                                    throws SQLException

      Specified by:
        `getColumnClassName` in interface `ResultSetMetaData`
      Throws:
        `SQLException`

    - #### unwrap

          public <T> T unwrap(Class<T> tClass)
                       throws SQLException

      Specified by:
        `unwrap` in interface `Wrapper`
      Throws:
        `SQLException`

    - #### isWrapperFor

          public boolean isWrapperFor(Class<?> aClass)
                               throws SQLException

      Specified by:
        `isWrapperFor` in interface `Wrapper`
      Throws:
        `SQLException`

Copyright © 2020 WSO2. All rights reserved.